Index: python/FlexpartTools.py
===================================================================
--- python/FlexpartTools.py	(revision 9e660c47faa9ca2b9e19d5da43ad0027c730a960)
+++ python/FlexpartTools.py	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
@@ -1567,130 +1303,123 @@
                 type = grib_get(gid, 'type')
                 step = grib_get(gid, 'step')
-                # date+time+step-2*dtime (since interpolated value valid for step-2*dtime)
-                sdate=datetime.datetime(year=cdate/10000,month=mod(cdate,10000)/100,
-                                        day=mod(cdate,100),hour=time/100)
-                fdate=sdate+datetime.timedelta(hours=step-2*int(c.dtime))
-                sdates=sdate+datetime.timedelta(hours=step)
-            else:
-                break
-
-            fnout=c.inputdir+'/'
-            numbersuffix=''
-            try:
-                numberindex=index_keys.index('number')
-                if len(index_vals[numberindex])>1:
-                    numbersuffix='.N{:0>3}'.format(int(prod[numberindex]))
-            except:
-                pass
-
-            if c.maxstep>12:
-                fnout+='flux'+sdate.strftime('%Y%m%d')+'.{:0>2}'.format(time/100)+'.{:0>3}'.format(step-2*int(c.dtime))+numbersuffix
-                gnout=c.inputdir+'/flux'+sdate.strftime('%Y%m%d')+'.{:0>2}'.format(time/100)+'.{:0>3}'.format(step-int(c.dtime))+numbersuffix
-                hnout=c.inputdir+'/flux'+sdate.strftime('%Y%m%d')+'.{:0>2}'.format(time/100)+'.{:0>3}'.format(step)+numbersuffix
-                g=open(gnout,'w')
-                h=open(hnout,'w')
-            else:
-                fnout+='flux'+fdate.strftime('%Y%m%d%H')+numbersuffix
-                gnout=c.inputdir+'/flux'+(fdate+datetime.timedelta(hours=int(c.dtime))).strftime('%Y%m%d%H')+numbersuffix
-                hnout=c.inputdir+'/flux'+sdates.strftime('%Y%m%d%H')+numbersuffix
-                g=open(gnout,'w')
-                h=open(hnout,'w')
-            print "outputfile = " + fnout
-            f=open(fnout,'w')
-
-            while 1:
+		# date+time+step-2*dtime (since interpolated value valid for step-2*dtime)
+		sdate=datetime.datetime(year=cdate/10000,month=mod(cdate,10000)/100,
+		                        day=mod(cdate,100),hour=time/100)
+		fdate=sdate+datetime.timedelta(hours=step-2*int(c.dtime))
+		sdates=sdate+datetime.timedelta(hours=step)
+	    else:
+		break
+	    
+	    fnout=c.inputdir+'/'
+	    if c.maxstep>12:
+		fnout+='flux'+sdate.strftime('%Y%m%d')+'.{:0>2}'.format(time/100)+'.{:0>3}'.format(step-2*int(c.dtime))
+		gnout=c.inputdir+'/flux'+sdate.strftime('%Y%m%d')+'.{:0>2}'.format(time/100)+'.{:0>3}'.format(step-int(c.dtime))
+		hnout=c.inputdir+'/flux'+sdate.strftime('%Y%m%d')+'.{:0>2}'.format(time/100)+'.{:0>3}'.format(step)
+		g=open(gnout,'w')	    
+		h=open(hnout,'w')	    
+	    else:
+		fnout+='flux'+fdate.strftime('%Y%m%d%H')
+		gnout=c.inputdir+'/flux'+(fdate+datetime.timedelta(hours=int(c.dtime))).strftime('%Y%m%d%H')
+		hnout=c.inputdir+'/flux'+sdates.strftime('%Y%m%d%H')
+		g=open(gnout,'w')	    
+		h=open(hnout,'w')	    
+	    print "outputfile = " + fnout
+	    f=open(fnout,'w')	    
+			
+#                print 'cyear '+cyear+'/'+cmonth+'/'+'/EI'+cyear[2:4]+cmonth+cday+cflextime
+            while 1: 
                 if gid is None: break
                 cparamId = str(grib_get(gid, 'paramId'))
                 step = grib_get(gid, 'step')
                 atime = grib_get(gid, 'time')
-                ni=grib_get(gid, 'Ni')
-                nj=grib_get(gid, 'Nj')
-                if cparamId in valsdict.keys():
-                    values = grib_get_values(gid)
-                    vdp=valsdict[cparamId]
-                    svdp=svalsdict[cparamId]
-                    sd=stepsdict[cparamId]
-
-                    if cparamId=='142' or cparamId=='143':
-                        fak=1./1000.
-                    else:
-                        fak=3600.
-
-                    values=(reshape(values,(nj,ni))).flatten()/fak
-                    vdp.append(values[:]) # save the accumulated values
-                    if c.marsclass.upper() in ('EA') or \
-                       step<=int(c.dtime):
-                        svdp.append(values[:]/int(c.dtime))
-                    else:
-                        svdp.append((vdp[-1]-vdp[-2])/int(c.dtime))
-
-                    print cparamId,atime,step,len(values),values[0],std(values)
-                    #svdp.append(values[:]) # save the 1-hourly or 3-hourly specific values
-                    sd.append(step)
-                    if len(svdp)>=3:
-                        if len(svdp)>3:
-                            if cparamId=='142' or cparamId=='143':
-                                values=darain(svdp)
-                            else:
-                                values=dapoly(svdp)
-
-                            if not (step==c.maxstep and c.maxstep>12 or sdates==elimit):
-                                vdp.pop(0)
-                                svdp.pop(0)
-                        else:
-                            if c.maxstep>12:
-                                values=svdp[1]
-                            else:
-                                values=svdp[0]
-
-                        grib_set_values(gid, values)
-                        if c.maxstep>12:
-                            grib_set(gid,'stepRange',max(0,step-2*int(c.dtime)))
-                        else:
-                            grib_set(gid,'stepRange',0)
-                            grib_set(gid,'time',fdate.hour*100)
-                            grib_set(gid,'date',fdate.year*10000+fdate.month*100+fdate.day)
-                        grib_write(gid, f)
-
-                        if c.basetime is not None:
-                            elimit=datetime.datetime.strptime(c.end_date+c.basetime,'%Y%m%d%H')
-                        else:
-                            elimit=sdate+datetime.timedelta(2*int(c.dtime))
-
-                        # squeeze out information of last two steps contained in svdp
-    #			if step+int(c.dtime)==c.maxstep and c.maxstep>12 or sdates+datetime.timedelta(hours=int(c.dtime))>=elimit:
-    #                       Note that svdp[0] has not been popped in this case
-
-
-                        if step==c.maxstep and c.maxstep>12 or sdates==elimit:
-                            values=svdp[3]
-                            grib_set_values(gid, values)
-                            grib_set(gid,'stepRange',0)
-                            truedatetime=fdate+datetime.timedelta(hours=2*int(c.dtime))
-                            grib_set(gid,'time',truedatetime.hour*100)
-                            grib_set(gid,'date',truedatetime.year*10000+truedatetime.month*100+truedatetime.day)
-                            grib_write(gid, h)
-
-                            #values=(svdp[1]+svdp[2])/2.
-                            if cparamId=='142' or cparamId=='143':
-                                values=darain(list(reversed(svdp)))
-                            else:
-                                values=dapoly(list(reversed(svdp)))
-
-                            grib_set(gid,'stepRange',0)
-                            truedatetime=fdate+datetime.timedelta(hours=int(c.dtime))
-                            grib_set(gid,'time',truedatetime.hour*100)
-                            grib_set(gid,'date',truedatetime.year*10000+truedatetime.month*100+truedatetime.day)
-                            grib_set_values(gid, values)
-                            grib_write(gid, g)
-
-                    grib_release(gid)
-
-                gid = grib_new_from_index(iid)
-
-            f.close()
-            g.close()
-            h.close()
+		ni=grib_get(gid, 'Ni')
+		nj=grib_get(gid, 'Nj')
+		if cparamId in valsdict.keys():
+		    values = grib_get_values(gid)
+		    vdp=valsdict[cparamId]
+		    svdp=svalsdict[cparamId]
+		    sd=stepsdict[cparamId]
+		    
+		    if cparamId=='142' or cparamId=='143':
+			fak=1./1000.
+		    else:
+			fak=3600.
+		    
+		    values=(reshape(values,(nj,ni))).flatten()/fak
+		    vdp.append(values[:]) # save the accumulated values
+		    if step<=int(c.dtime):
+			svdp.append(values[:]/int(c.dtime))
+		    else:
+			svdp.append((vdp[-1]-vdp[-2])/int(c.dtime))
+		    
+		    print cparamId,atime,step,len(values),values[0],std(values)
+		    #svdp.append(values[:]) # save the 1-hourly or 3-hourly specific values
+		    sd.append(step)
+		    if len(svdp)>=3:
+			if len(svdp)>3:
+			    if cparamId=='142' or cparamId=='143':
+				values=darain(svdp)
+			    else:
+				values=dapoly(svdp)
+			    			    
+			    if not (step==c.maxstep and c.maxstep>12 or sdates==elimit):
+				vdp.pop(0)
+				svdp.pop(0)
+			else:
+			    if c.maxstep>12:
+				values=svdp[1]
+			    else:
+				values=svdp[0]
+			    
+			grib_set_values(gid, values)
+			if c.maxstep>12:
+			    grib_set(gid,'step',max(0,step-2*int(c.dtime)))
+			else:
+			    grib_set(gid,'step',0)
+			    grib_set(gid,'time',fdate.hour*100)
+			    grib_set(gid,'date',fdate.year*10000+fdate.month*100+fdate.day)
+			grib_write(gid, f)
+			
+			if c.basetime is not None:
+			    elimit=datetime.datetime.strptime(c.end_date+c.basetime,'%Y%m%d%H')
+			else:
+			    elimit=sdate+datetime.timedelta(2*int(c.dtime))
+			
+			# squeeze out information of last two steps contained in svdp
+#			if step+int(c.dtime)==c.maxstep and c.maxstep>12 or sdates+datetime.timedelta(hours=int(c.dtime))>=elimit:
+#                       Note that svdp[0] has not been popped in this case
+			    
+		    
+			if step==c.maxstep and c.maxstep>12 or sdates==elimit:
+			    values=svdp[3]
+			    grib_set_values(gid, values)
+			    grib_set(gid,'step',0)
+			    truedatetime=fdate+datetime.timedelta(hours=2*int(c.dtime))
+			    grib_set(gid,'time',truedatetime.hour*100)
+			    grib_set(gid,'date',truedatetime.year*10000+truedatetime.month*100+truedatetime.day)
+			    grib_write(gid, h)
+			    
+			    #values=(svdp[1]+svdp[2])/2.
+			    if cparamId=='142' or cparamId=='143':
+				values=darain(list(reversed(svdp)))
+			    else:
+				values=dapoly(list(reversed(svdp)))
+			    
+			    grib_set(gid,'step',0)
+			    truedatetime=fdate+datetime.timedelta(hours=int(c.dtime))
+			    grib_set(gid,'time',truedatetime.hour*100)
+			    grib_set(gid,'date',truedatetime.year*10000+truedatetime.month*100+truedatetime.day)
+			    grib_set_values(gid, values)
+			    grib_write(gid, g)
+			
+		    grib_release(gid)
+					
+		gid = grib_new_from_index(iid)
+		
+	    f.close()
+   	    g.close()
+	    h.close()
 
 
         grib_index_release(iid)
+
Index: python/compilejob.ksh
===================================================================
--- python/compilejob.ksh	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
+++ python/compilejob.ksh	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
@@ -0,0 +1,84 @@
+#!/bin/ksh
+
+# ON ECGB:
+# start with ecaccess-job-submit -queueName ecgb NAME_OF_THIS_FILE  on gateway server
+# start with sbatch NAME_OF_THIS_FILE directly on machine
+
+#SBATCH --workdir=/scratch/ms/spatlh00/lh0
+#SBATCH --qos=normal
+#SBATCH --job-name=flex_ecmwf
+#SBATCH --output=flex_ecmwf.%j.out
+#SBATCH --error=flex_ecmwf.%j.out
+#SBATCH --mail-type=FAIL
+#SBATCH --time=12:00:00
+
+## CRAY specific batch requests
+##PBS -N flex_ecmwf
+##PBS -q ns
+##PBS -S /usr/bin/ksh
+# -o /scratch/ms/no/sbc/flex_ecmwf.$Jobname.$Job_ID.out
+# job output is in .ecaccess_DO_NOT_REMOVE
+##PBS -j oe
+##PBS -V
+##PBS -l EC_threads_per_task=1
+##PBS -l EC_memory_per_task=3200MB
+
+set -x
+export VERSION=7.0
+case $HOST in
+  *ecg*)
+  module load python
+  module unload grib_api
+  module unload emos
+  module load grib_api/1.14.5
+  module load emos/437-r64
+export FLEXPART_ROOT_SCRIPTS=$HOME
+#  export ECMWFDATA=$FLEXPART_ROOT/ECMWFDATA7.0
+#  export PYTHONPATH=$ECMWFDATA/python
+#  export PATH=${PATH}:$ECMWFDATA/python
+  export MAKEFILE=Makefile.gfortran
+  ;;
+  *cca*)
+  module switch PrgEnv-cray PrgEnv-intel
+  module load grib_api
+  module load emos
+  module load python
+  echo ${GROUP}
+  echo ${HOME}
+  echo $HOME | awk -F / '{print $1, $2, $3, $4}'
+  export GROUP=`echo $HOME | awk -F / '{print $4}'`
+  export SCRATCH=/scratch/ms/${GROUP}/${USER}
+export FLEXPART_ROOT_SCRIPTS=$HOME
+#  export ECMWFDATA=$FLEXPART_ROOT/ECMWFDATA7.0
+#  export PYTHONPATH=$ECMWFDATA/python
+#  export PATH=${PATH}:$ECMWFDATA/python
+  export MAKEFILE=Makefile.CRAY
+  ;;
+esac
+
+mkdir -p $FLEXPART_ROOT_SCRIPTS/ECMWFDATA$VERSION
+cd $FLEXPART_ROOT_SCRIPTS/ECMWFDATA$VERSION   # if FLEXPART_ROOT is not set this means cd to the home directory
+tar -xvf $SCRATCH/ECMWFDATA$VERSION.tar
+cd src
+\rm *.o *.mod CONVERT2
+make -f $MAKEFILE >flexcompile 2>flexcompile
+
+ls -l CONVERT2 >>flexcompile
+if [ $? -eq 0 ]; then
+  echo 'SUCCESS!' >>flexcompile
+  mail -s flexcompile.$HOST.$$ $USER <flexcompile
+else
+  echo Environment: >>flexcompile
+  env >> flexcompile
+  mail -s "ERROR! flexcompile.$HOST.$$" $USER <flexcompile
+fi
+
+
+
+
+
+
+
+
+
+
Index: python/compilejob.temp
===================================================================
--- python/compilejob.temp	(revision fb8810cda0dbbf0169e05332ef2fe5632ef1214e)
+++ python/compilejob.temp	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
@@ -25,5 +25,5 @@
 
 set -x
-export VERSION=7.0.4
+export VERSION=7.0
 case $HOST in
   *ecg*)
@@ -34,4 +34,7 @@
   module load emos/437-r64
   export FLEXPART_ROOT_SCRIPTS=
+#  export ECMWFDATA=$FLEXPART_ROOT/ECMWFDATA7.0
+#  export PYTHONPATH=$ECMWFDATA/python
+#  export PATH=${PATH}:$ECMWFDATA/python
   export MAKEFILE=Makefile.gfortran
   ;;
@@ -47,11 +50,14 @@
   export SCRATCH=/scratch/ms/${GROUP}/${USER}
   export FLEXPART_ROOT_SCRIPTS=
+#  export ECMWFDATA=$FLEXPART_ROOT/ECMWFDATA7.0
+#  export PYTHONPATH=$ECMWFDATA/python
+#  export PATH=${PATH}:$ECMWFDATA/python
   export MAKEFILE=Makefile.CRAY
   ;;
 esac
 
-mkdir -p $FLEXPART_ROOT_SCRIPTS/flex_extract_v$VERSION
-cd $FLEXPART_ROOT_SCRIPTS/flex_extract_v$VERSION   # if FLEXPART_ROOT is not set this means cd to the home directory
-tar -xvf $HOME/flex_extract_v$VERSION.tar
+mkdir -p $FLEXPART_ROOT_SCRIPTS/ECMWFDATA$VERSION
+cd $FLEXPART_ROOT_SCRIPTS/ECMWFDATA$VERSION   # if FLEXPART_ROOT is not set this means cd to the home directory
+tar -xvf $SCRATCH/ECMWFDATA$VERSION.tar
 cd src
 \rm *.o *.mod CONVERT2
Index: python/getMARSdata.py
===================================================================
--- python/getMARSdata.py	(revision e879023747fe27c7a7f54905ed6f8312aac6ac21)
+++ python/getMARSdata.py	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
@@ -2,10 +2,10 @@
 #
 # This software is licensed under the terms of the Apache Licence Version 2.0
-# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-#
+# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0. 
+# 
 # Functionality provided: Prepare input 3D-wind fields in hybrid coordinates + surface fields for FLEXPART runs
 #
 # Creation: October  2014 - Anne Fouilloux - University of Oslo
-# Extension November 2015 - Leopold Haimberger - University of Vienna for:
+# Extension November 2015 - Leopold Haimberger - University of Vienna for: 
 # - using the WebAPI also for general MARS retrievals
 # - job submission on ecgate and cca
@@ -15,9 +15,9 @@
 # - conversion into GRIB2
 # - conversion into .fp format for faster execution of FLEXPART
-#
+# 
 #
 # Further documentation may be obtained from www.flexpart.eu
-#
-# Requirements:
+# 
+# Requirements: 
 # in addition to a standard python 2.6 or 2.7 installation the following packages need to be installed
 # ECMWF WebMARS, gribAPI with python enabled, emoslib, ecaccess web toolkit, all available from https://software.ecmwf.int/
@@ -26,5 +26,5 @@
 #
 # Get MARS GRIB fields from ECMWF for FLEXPART
-#
+# 
 
 #import socket
@@ -51,40 +51,19 @@
 
 from FlexpartTools import MARSretrieval, EIFlexpart, silentremove, \
-     Control,myerror,normalexit, interpret_args_and_control
+                          Control,myerror,normalexit, interpret_args_and_control
 
 
 def getMARSdata(args,c):
-
+    
+        
     if not os.path.exists(c.inputdir):
         os.makedirs(c.inputdir)
-
-
-    if c.request == 0:
-        print("Retrieving EC data!")
-    else:
-        if c.request == 1:
-            print("Printing mars requests!")
-        elif c.request == 2:
-            print("Retrieving EC data and printing mars request!")
-        # first, write header with the mars parameter to file
-        # create a dummy MarsRetrieval to get parameter
-        MR = MARSretrieval(None, None)
-        attrs = vars(MR).copy()
-        del attrs['server']
-        del attrs['public']
-        marsfile = os.path.join(c.inputdir, 'mars_requests.csv')
-        with open(marsfile, 'w') as f:
-            f.write('request_number' + ', ')
-            f.write(', '.join(str(key) for key in sorted(attrs.iterkeys())))
-            f.write('\n')
-
     print "start date %s "%(c.start_date)
     print "end date %s "%(c.end_date)
 
+    
+#    server = ECMWFDataServer()
     if ecapi:
-        if int(c.public):
-            server = ecmwfapi.ECMWFDataServer()
-        else:
-            server = ecmwfapi.ECMWFService("mars")
+        server = ecmwfapi.ECMWFService("mars")
     else:
         server = False
@@ -110,69 +89,66 @@
     else:
         endp1=end+ datetime.timedelta(days=2)
-
+    
     datechunk=datetime.timedelta(days=int(c.date_chunk))
-    if c.request == 0 or c.request == 2:
-        print 'removing content of '+c.inputdir
-        tobecleaned=glob.glob(c.inputdir+'/*_acc_*.'+str(os.getppid())+'.*.grb')
-        for f in tobecleaned:
-            os.remove(f)
-
+    print 'removing content of '+c.inputdir
+    tobecleaned=glob.glob(c.inputdir+'/*_acc_*.'+str(os.getppid())+'.*.grb')
+    for f in tobecleaned:
+        os.remove(f)
+        
     times=None
-    if c.maxstep<=24:
+    if c.maxstep<24:
         day=startm1
         while day<endp1:
-            # we need to retrieve MARS data for this period (maximum one month)
-            flexpart = EIFlexpart(c,fluxes=True)
-            if day+datechunk-datetime.timedelta(days=1)<endp1:
-                dates= day.strftime("%Y%m%d") + "/to/" + (day+datechunk-datetime.timedelta(days=1)).strftime("%Y%m%d")
-            else:
-                dates= day.strftime("%Y%m%d") + "/to/" + end.strftime("%Y%m%d")
-
-            print "retrieve " + dates + " in dir " + c.inputdir
-            try:
-                flexpart.retrieve(server, c.public, dates, c.request, times, c.inputdir)
-            except IOError:
-                myerror(c,'MARS request failed')
-
-            day+=datechunk
+                # we need to retrieve MARS data for this period (maximum one month)
+                flexpart = EIFlexpart(c,fluxes=True)
+                if day+datechunk-datetime.timedelta(days=1)<endp1:
+                    dates= day.strftime("%Y%m%d") + "/to/" + (day+datechunk-datetime.timedelta(days=1)).strftime("%Y%m%d") 
+                else:
+                    dates= day.strftime("%Y%m%d") + "/to/" + end.strftime("%Y%m%d") 
+                    
+                print "retrieve " + dates + " in dir " + c.inputdir
+                try:
+                    flexpart.retrieve(server, dates, times, c.inputdir)
+                except IOError:
+                    myerror(c,'MARS request failed')
+                    
+                day+=datechunk
     else:
         day=start
         while day<=end:
-            # we need to retrieve MARS data for this period (maximum one month)
-            flexpart = EIFlexpart(c,fluxes=True)
-            if day+datechunk-datetime.timedelta(days=1)<end:
-                dates= day.strftime("%Y%m%d") + "/to/" + (day+datechunk-datetime.timedelta(days=1)).strftime("%Y%m%d")
-            else:
-                dates= day.strftime("%Y%m%d") + "/to/" + end.strftime("%Y%m%d")
-
-            print "retrieve " + dates + " in dir " + c.inputdir
-            flexpart.retrieve(server, c.public, dates, c.request, times, c.inputdir)
-            day+=datechunk
+                # we need to retrieve MARS data for this period (maximum one month)
+                flexpart = EIFlexpart(c,fluxes=True)
+                if day+datechunk-datetime.timedelta(days=1)<end:
+                    dates= day.strftime("%Y%m%d") + "/to/" + (day+datechunk-datetime.timedelta(days=1)).strftime("%Y%m%d") 
+                else:
+                    dates= day.strftime("%Y%m%d") + "/to/" + end.strftime("%Y%m%d") 
+                    
+                print "retrieve " + dates + " in dir " + c.inputdir
+                flexpart.retrieve(server, dates, times, c.inputdir)
+                day+=datechunk
+        
 
 
-    if c.request == 0 or c.request == 2:
-        print 'removing content of '+c.inputdir
-        tobecleaned=glob.glob(c.inputdir+'/*__*.'+str(os.getppid())+'.*.grb')
-        for f in tobecleaned:
-            os.remove(f)
-
+    tobecleaned=glob.glob(c.inputdir+'/*__*.'+str(os.getppid())+'.*.grb')
+    for f in tobecleaned:
+        os.remove(f)
     day=start
     times=None
     while day<=end:
-
-            # we need to retrieve MARS data for this period (maximum one month)
-        flexpart = EIFlexpart(c)
-        if day+datechunk-datetime.timedelta(days=1)<end:
-            dates= day.strftime("%Y%m%d") + "/to/" + (day+datechunk-datetime.timedelta(days=1)).strftime("%Y%m%d")
-        else:
-            dates= day.strftime("%Y%m%d") + "/to/" + end.strftime("%Y%m%d")
-        print "retrieve " + dates + " in dir " + c.inputdir
-
-        flexpart.retrieve(server, c.public, dates, c.request, times, c.inputdir)
-        day+=datechunk
-
+        
+               # we need to retrieve MARS data for this period (maximum one month)
+            flexpart = EIFlexpart(c)
+            if day+datechunk-datetime.timedelta(days=1)<end:
+                dates= day.strftime("%Y%m%d") + "/to/" + (day+datechunk-datetime.timedelta(days=1)).strftime("%Y%m%d") 
+            else:
+                dates= day.strftime("%Y%m%d") + "/to/" + end.strftime("%Y%m%d") 
+            print "retrieve " + dates + " in dir " + c.inputdir
+            
+            flexpart.retrieve(server, dates, times, c.inputdir)
+            day+=datechunk
+    
 
 if __name__ == "__main__":
-
+    
     args,c=interpret_args_and_control()
     getMARSdata(args,c)
